# Features
- [x] namespace checks system/cpu or system:cpu => system.rb or system/cpu.rb
- [x] defcheck:
- [x] proc check semantics:
  - [x] proc_check { }
  - [x] runnable without .new
  - [x] has access to :event/:sys method and also access to lexical scope
- [x] anonymous defcheck but still needs to be initialized using new
- [x] check.rb:
  - [x] allow only predefined options
- [x] randomized scheduling with offset(for yum/salt) per "every" block and not per task/check
- [x] scheduler offset
- [x] check_name, to_s for debugging
- [x] better synchronize which returns nil and does not wait
- [x] num_workers in config

# Checks Library
- [x] system: load/cpu/memory/iowait/uptime
- [x] disk: disk usage
- [x] yum: check updates(with timeout)
- [x] salt: check highstate drift ( with timeout)
- [x] http: check http/https url status
- [x] consul: check for failed nodes
- [x] oom: oom count daily/weekly
- [ ] postgres master/slave
- [ ] elasticsearch
- [ ] redis stats
- [ ] memcached stats

# TODO
- [ ] http check: modify service name
- [ ] rpm spec
- [ ] list checks and opts --list-checks <check1> <check2>
- [ ] self health check: tainted/ok
- [ ] packaging user gems
- [ ] RUBY_GC_HEAP_GROWTH_FACTOR=1.05
- [ ] better code coverage
- [ ] use libpcp metrics if possible
- [ ] jemalloc MALLOC_CONF="narenas:1,lg_chunk:18"
